io.vertx.ext.web.handler.graphql

## Class GraphQLHandlerOptions

- java.lang.Object
- - io.vertx.ext.web.handler.graphql.GraphQLHandlerOptions

-     public class GraphQLHandlerOptions
      extends Object

  Options for configuring the `GraphQLHandler`.
  Author:
    Thomas Segismont

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEFAULT_REQUEST_BATCHING_ENABLED` Whether request batching should be enabled by default = false.
    `static boolean` | `DEFAULT_REQUEST_MULTIPART_ENABLED` Whether a multipart request should be enabled by default = false

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphQLHandlerOptions()` Default constructor.
    `GraphQLHandlerOptions(GraphQLHandlerOptions other)` Copy constructor.
    `GraphQLHandlerOptions(JsonObject json)` Constructor to create options from JSON.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isRequestBatchingEnabled()`
    `boolean` | `isRequestMultipartEnabled()`
    `GraphQLHandlerOptions` | `setRequestBatchingEnabled(boolean requestBatchingEnabled)` Whether request batching should be enabled.
    `GraphQLHandlerOptions` | `setRequestMultipartEnabled(boolean requestMultipartEnabled)` Whether request multipart should be enabled.
    `JsonObject` | `toJson()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_REQUEST_BATCHING_ENABLED

          public static final boolean DEFAULT_REQUEST_BATCHING_ENABLED

      Whether request batching should be enabled by default = false.
      See Also:
        Constant Field Values

    - #### DEFAULT_REQUEST_MULTIPART_ENABLED

          public static final boolean DEFAULT_REQUEST_MULTIPART_ENABLED

      Whether a multipart request should be enabled by default = false
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GraphQLHandlerOptions

          public GraphQLHandlerOptions()

      Default constructor.

    - #### GraphQLHandlerOptions

          public GraphQLHandlerOptions(GraphQLHandlerOptions other)

      Copy constructor.
      Parameters:
        `other` - the options to copy

    - #### GraphQLHandlerOptions

          public GraphQLHandlerOptions(JsonObject json)

      Constructor to create options from JSON.
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Returns:
        a JSON representation of these options

    - #### isRequestBatchingEnabled

          public boolean isRequestBatchingEnabled()

      Returns:
        true if request batching should be enabled, false otherwise

    - #### setRequestBatchingEnabled

          public GraphQLHandlerOptions setRequestBatchingEnabled(boolean requestBatchingEnabled)

      Whether request batching should be enabled. Defaults to `false`.
      Parameters:
        `requestBatchingEnabled` - true to enable request batching, false otherwise
      Returns:
        a reference to this, so the API can be used fluently

    - #### isRequestMultipartEnabled

          public boolean isRequestMultipartEnabled()

      Returns:
        true if request multipart should be enabled, false otherwise

    - #### setRequestMultipartEnabled

          public GraphQLHandlerOptions setRequestMultipartEnabled(boolean requestMultipartEnabled)

      Whether request multipart should be enabled. Defaults to `false`.
      Parameters:
        `requestMultipartEnabled` - true to enable request multipart, false otherwise
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2025 Eclipse. All rights reserved.